<div class="row justify-content-center">
  <div class="col-8">
    <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
      <h2 id="jhi-imovel-heading" data-cy="ImovelCreateUpdateHeading" jhiTranslate="madmApp.imovel.home.createOrEditLabel">
        Create or edit a Imovel
      </h2>

      <div>
        <jhi-alert-error></jhi-alert-error>

        <div class="form-group" [hidden]="editForm.get('id')!.value == null">
          <label class="form-control-label" jhiTranslate="global.field.id" for="field_id">ID</label>
          <input type="number" class="form-control" name="id" id="field_id" data-cy="id" formControlName="id" [readonly]="true" />
        </div>

        <div class="form-group">
          <label class="form-control-label" jhiTranslate="madmApp.imovel.codImovel" for="field_codImovel">Cod Imovel</label>
          <input type="text" class="form-control" name="codImovel" id="field_codImovel" data-cy="codImovel" formControlName="codImovel" />
        </div>

        <div class="form-group">
          <label class="form-control-label" jhiTranslate="madmApp.imovel.documentoProprietario" for="field_documentoProprietario"
            >Documento Proprietario</label
          >
          <input
            type="text"
            class="form-control"
            name="documentoProprietario"
            id="field_documentoProprietario"
            data-cy="documentoProprietario"
            formControlName="documentoProprietario"
          />
        </div>

        <div class="form-group">
          <label class="form-control-label" jhiTranslate="madmApp.imovel.tipoImovel" for="field_tipoImovel">Tipo Imovel</label>
          <select class="form-control" name="tipoImovel" formControlName="tipoImovel" id="field_tipoImovel" data-cy="tipoImovel">
            <option [ngValue]="null">{{ 'madmApp.TipoImovel.null' | translate }}</option>
            <option *ngFor="let tipoImovel of tipoImovelValues" [value]="tipoImovel">
              {{ 'madmApp.TipoImovel.' + tipoImovel | translate }}
            </option>
          </select>
        </div>

        <div class="form-group">
          <label class="form-control-label" jhiTranslate="madmApp.imovel.endereco" for="field_endereco">Endereco</label>
          <select class="form-control" id="field_endereco" data-cy="endereco" name="endereco" formControlName="endereco">
            <option [ngValue]="null"></option>
            <option
              [ngValue]="enderecoOption.id === editForm.get('endereco')!.value?.id ? editForm.get('endereco')!.value : enderecoOption"
              *ngFor="let enderecoOption of enderecosCollection; trackBy: trackEnderecoById"
            >
              {{ enderecoOption.id }}
            </option>
          </select>
        </div>
      </div>

      <div>
        <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" (click)="previousState()">
          <fa-icon icon="ban"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
        </button>

        <button
          type="submit"
          id="save-entity"
          data-cy="entityCreateSaveButton"
          [disabled]="editForm.invalid || isSaving"
          class="btn btn-primary"
        >
          <fa-icon icon="save"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
        </button>
      </div>
    </form>
  </div>
</div>
